VERSION 5.00
Begin VB.Form ScnFr 
   Caption         =   ".scn file viewer 0.2 alpha"
   ClientHeight    =   4692
   ClientLeft      =   48
   ClientTop       =   324
   ClientWidth     =   5400
   Icon            =   "ScnFr.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4692
   ScaleWidth      =   5400
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox protocol 
      BeginProperty Font 
         Name            =   "Courier"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4452
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertikal
      TabIndex        =   0
      Text            =   "ScnFr.frx":27A2
      Top             =   120
      Width           =   5172
   End
   Begin VB.Label Label1 
      Height          =   4692
      Left            =   0
      TabIndex        =   1
      ToolTipText     =   "http://www.freenet.de/codecpage"
      Top             =   0
      Width           =   5412
   End
End
Attribute VB_Name = "ScnFr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()
    On Error GoTo Errorhandler
    Dim a As Byte
   
    sourcefile = Command: Rem command line submitted to program
    
    If Left(sourcefile, 1) = Chr$(34) Then sourcefile = Mid(sourcefile, 2, Len(sourcefile) - 2)
    protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + sourcefile
    If LCase(Right(sourcefile, 4)) <> ".scn" Then protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + ".scn files only": Err.Raise 75
    
    protocol.Text = "": Rem clear protocol window
    
    Open sourcefile For Binary As 1
    
    For i = 1 To 25
    Get 1, , a
    Next
    
    For i = 1 To a
    Get 1, , a
    v$ = v$ + Chr$(a)
    Next
    
    protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + v$
   

    For i = 1 To 8
    Get 1, , a
    Next
    
    Get 1, , numscenes%
    protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + Str$(numscenes%) + "   scenes"
    If numscenes% < 2 Then GoTo Exitall: Rem only 1 scene - not implemented in this version
    
    For i = 1 To 62 + Len(v$)
    Get 1, , a
    Next
    
    protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "scene#" + Chr$(9) + "begin" + Chr$(9) + "length"
    
    For i = 1 To numscenes% - 1
    Get 1, , b&
    Get 1, , l&
    If i = 1 Then protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + Str$(i) + Chr$(9) + " 0" + Chr$(9) + Str$(b&)
    protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + Str$(i + 1) + Chr$(9) + Str$(b&) + Chr$(9) + Str$(l&)
        For j = 1 To 27
        Get 1, , a
    Next
    
    Next
    GoTo Exitall
         
Errorhandler:
    
    If Err.Number = 52 Or Err.Number = 53 Then Resume Next: Rem file not found (output file)
    If Err = 75 Then
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10)
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "error accessing file"
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10)
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "Start this application by dropping"
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "a .scr file onto the program icon."
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10)
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "http://www.freenet.de/codecpage"
        protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "codecbox@email.com"
        GoTo Exitall
    End If
    If Err = 5 Then protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + "file not found": Rem can also be other error BTW
    If Err.Number <> 62 Then protocol.Text = protocol.Text + Chr$(13) + Chr$(10) + Str$(Err.Number) + " " + Err.Description: Rem 62 is end of file
Exitall:
    On Error Resume Next
    Close #1
   
End Sub
